summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Holm <dholm@gentoo.org>2005-01-25 13:55:04 +0000
committerDavid Holm <dholm@gentoo.org>2005-01-25 13:55:04 +0000
commit1a693abe6bfeab99681361f6fc87a97456db62af (patch)
tree1da3d1ae7ffd713045ac50cdd4987a4fc973860d /games-simulation/openttd/files
parentStable on sparc. (diff)
downloadgentoo-2-1a693abe6bfeab99681361f6fc87a97456db62af.tar.gz
gentoo-2-1a693abe6bfeab99681361f6fc87a97456db62af.tar.bz2
gentoo-2-1a693abe6bfeab99681361f6fc87a97456db62af.zip
Version bumped and added support for dedicated server
(Portage version: 2.0.51-r15)
Diffstat (limited to 'games-simulation/openttd/files')
-rw-r--r--games-simulation/openttd/files/digest-openttd-0.3.41
-rw-r--r--games-simulation/openttd/files/digest-openttd-0.3.61
-rw-r--r--games-simulation/openttd/files/openttd.initd20
3 files changed, 21 insertions, 1 deletions
diff --git a/games-simulation/openttd/files/digest-openttd-0.3.4 b/games-simulation/openttd/files/digest-openttd-0.3.4
deleted file mode 100644
index 6eb4d86ced2e..000000000000
--- a/games-simulation/openttd/files/digest-openttd-0.3.4
+++ /dev/null
@@ -1 +0,0 @@
-MD5 14a4761593ac31418454c9cc1fe8a8bb openttd-0.3.4.tar.bz2 1394627
diff --git a/games-simulation/openttd/files/digest-openttd-0.3.6 b/games-simulation/openttd/files/digest-openttd-0.3.6
new file mode 100644
index 000000000000..5b6c60660c37
--- /dev/null
+++ b/games-simulation/openttd/files/digest-openttd-0.3.6
@@ -0,0 +1 @@
+MD5 4127f17e45c5dd2e1720ebf2a96e7eac openttd-0.3.6.tar.gz 2511895
diff --git a/games-simulation/openttd/files/openttd.initd b/games-simulation/openttd/files/openttd.initd
new file mode 100644
index 000000000000..e2f5fbf58833
--- /dev/null
+++ b/games-simulation/openttd/files/openttd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/games-simulation/openttd/files/openttd.initd,v 1.1 2005/01/25 13:55:04 dholm Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting OpenTTD dedicated server"
+ start-stop-daemon --start -q --exec /usr/games/bin/openttd -- -D -f > /dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping OpenTTD dedicated server"
+ start-stop-daemon --stop -q -n openttd
+ eend $?
+}